Main Page Class List Class Members

# Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder Class Reference

`#include <NvBlastExtPxSerialization.capn.h>`

List of all members.

## Public Types
typedef ExtPxAsset | Builds
## Public Member Functions
void | adoptAsset (::capnp::Orphan< ::Nv::Blast::Serialization::TkAsset > &&value)
void | adoptChunks (::capnp::Orphan< ::capnp::List< ::Nv::Blast::Serialization::ExtPxChunk >> &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::Orphan < ::Nv::Blast::Serialization::TkAsset > | disownAsset ()
inline::Nv::Blast::Serialization::TkAsset::Builder | getAsset ()
inline::capnp::List < ::Nv::Blast::Serialization::ExtPxChunk > ::Builder | getChunks ()
bool | hasAsset ()
bool | hasChunks ()
inline::Nv::Blast::Serialization::TkAsset::Builder | initAsset ()
inline::capnp::List < ::Nv::Blast::Serialization::ExtPxChunk > ::Builder | initChunks (unsigned int size)
| operator Reader () const
void | setAsset (::Nv::Blast::Serialization::TkAsset::Reader value)
void | setChunks (::capnp::List< ::Nv::Blast::Serialization::ExtPxChunk >::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const

## Member Typedef Documentation

typedef ExtPxAsset Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::adoptAsset | ( | ::capnp::Orphan< ::Nv::Blast::Serialization::TkAsset > && | value | ) | `[inline]`

void Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::adoptChunks | ( | ::capnp::Orphan< ::capnp::List< ::Nv::Blast::Serialization::ExtPxChunk >> && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::asReader | ( |  | ) | const`[inline]`

capnp::Orphan<::Nv::Blast::Serialization::TkAsset > Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::disownAsset | ( |  | ) | `[inline]`

Nv::Blast::Serialization::TkAsset::Builder Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::getAsset | ( |  | ) | `[inline]`

capnp::List<::Nv::Blast::Serialization::ExtPxChunk >::Builder Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::getChunks | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::hasAsset | ( |  | ) | `[inline]`

bool Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::hasChunks | ( |  | ) | `[inline]`

Nv::Blast::Serialization::TkAsset::Builder Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::initAsset | ( |  | ) | `[inline]`

capnp::List<::Nv::Blast::Serialization::ExtPxChunk >::Builder Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::initChunks | ( | unsigned int | size | ) | `[inline]`

Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::setAsset | ( | ::Nv::Blast::Serialization::TkAsset::Reader | value | ) | `[inline]`

void Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::setChunks | ( | ::capnp::List< ::Nv::Blast::Serialization::ExtPxChunk >::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::ExtPxAsset::ExtPxAsset::Builder::totalSize | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtPxSerialization.capn.h